Skip to main content
POST
/
v1.0
/
message
/
routes
/
update
json
{
  "MessageRouteId": "MRID-01711e7e-c158-4de7-831f-673ab9fdaaa9",
  "RouteName": "Main SMS Webhook",
  "MessageUrl": "https://apiendpoint.com",
  "MessageUrlMethod": "GET",
  "MessageRouteEnabled": true,
  "MessageAuthenticationType": "Basic",
  "MessageUsername": "admin",
  "MessagePasswordToken": "passwordORbearerToken",
  "CallbackMessageUrl": "https://apiendpoint.com",
  "CallbackMessageUrlMethod": "POST",
  "CallbackMessageAuthenticationType": null,
  "CallbackMessageUsername": null,
  "CallbackMessagePasswordToken": null,
  "InboundBypass": true,
  "OutboundBypass": true,
  "IntelligentRouteEnabled": true,
  "AccountId": "AID-ab12345-2725-45a1-bd5e-526ed19799xx"
}
curl -X POST https://api.telegent.com/v1.0/message/routes/update \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"MessageRouteId": "MRID-01711e7e-c158-4de7-831f-673ab9fdaaa9",
"RouteName": "Main SMS Webhook",
"MessageUrl": "https://apiendpoint.com",
"MessageUrlMethod": "GET",
"MessageRouteEnabled": true,
"MessageAuthenticationType": "Basic",
"MessageUsername": "admin",
"MessagePasswordToken": "passwordORbearerToken",
"CallbackMessageUrl": "https://apiendpoint.com",
"CallbackMessageUrlMethod": "POST",
"CallbackMessageAuthenticationType": null,
"CallbackMessageUsername": null,
"CallbackMessagePasswordToken": null,
"InboundBypass": true,
"OutboundBypass": true,
"IntelligentRouteEnabled": true,
"AccountId": "AID-ab12345-2725-45a1-bd5e-526ed19799xx"
}'
import requests

url = "https://api.telegent.com/v1.0/message/routes/update"

payload = {
"MessageRouteId": "MRID-01711e7e-c158-4de7-831f-673ab9fdaaa9",
"RouteName": "Main SMS Webhook",
"MessageUrl": "https://apiendpoint.com",
"MessageUrlMethod": "GET",
"MessageRouteEnabled": True,
"MessageAuthenticationType": "Basic",
"MessageUsername": "admin",
"MessagePasswordToken": "passwordORbearerToken",
"CallbackMessageUrl": "https://apiendpoint.com",
"CallbackMessageUrlMethod": "POST",
"CallbackMessageUsername": "<string>",
"CallbackMessagePasswordToken": "<string>",
"InboundBypass": True,
"OutboundBypass": True,
"IntelligentRouteEnabled": True,
"AccountId": "DID-eab92510-1040-45a5-bb9c-0bad927SDY878W"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
MessageRouteId: 'MRID-01711e7e-c158-4de7-831f-673ab9fdaaa9',
RouteName: 'Main SMS Webhook',
MessageUrl: 'https://apiendpoint.com',
MessageUrlMethod: 'GET',
MessageRouteEnabled: true,
MessageAuthenticationType: 'Basic',
MessageUsername: 'admin',
MessagePasswordToken: 'passwordORbearerToken',
CallbackMessageUrl: 'https://apiendpoint.com',
CallbackMessageUrlMethod: 'POST',
CallbackMessageUsername: '<string>',
CallbackMessagePasswordToken: '<string>',
InboundBypass: true,
OutboundBypass: true,
IntelligentRouteEnabled: true,
AccountId: 'DID-eab92510-1040-45a5-bb9c-0bad927SDY878W'
})
};

fetch('https://api.telegent.com/v1.0/message/routes/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "MessageRouteId": "MRID-01711e7e-c158-4de7-831f-673ab9fdaaa9",
  "AccountId": "AID-ab12345-2725-45a1-bd5e-526ed19799xx",
  "RouteName": "Main SMS Webhook",
  "MessageUrl": "https://apiendpoint.com",
  "MessageUrlMethod": "GET",
  "MessageRouteEnabled": true,
  "MessageAuthenticationType": "Basic",
  "MessageUsername": "admin",
  "MessagePasswordToken": "passwordORbearerToken",
  "CallbackMessageUrl": "https://apiendpoint.com",
  "CallbackMessageUrlMethod": "POST",
  "CallbackMessageAuthenticationType": null,
  "CallbackMessageUsername": null,
  "CallbackMessagePasswordToken": null
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}
{
"StatusCode": 123,
"Message": "<string>"
}

Body

application/json
MessageRouteId
string
required

Message Route ID to update

Example:

"MRID-01711e7e-c158-4de7-831f-673ab9fdaaa9"

RouteName
string

Friendly name for the message route

Example:

"Main SMS Webhook"

MessageUrl
string<uri>

Primary webhook URL

Example:

"https://apiendpoint.com"

MessageUrlMethod
enum<string>

HTTP method

Available options:
GET,
POST
Example:

"GET"

MessageRouteEnabled
boolean

Enable/disable route

Example:

true

MessageAuthenticationType
enum<string>

Authentication type

Available options:
None,
Basic,
Bearer
Example:

"Basic"

MessageUsername
string

Username for Basic auth

Example:

"admin"

MessagePasswordToken
string

Password or Bearer token

Example:

"passwordORbearerToken"

CallbackMessageUrl
string<uri>

Callback webhook URL

Example:

"https://apiendpoint.com"

CallbackMessageUrlMethod
enum<string>

Callback HTTP method

Available options:
GET,
POST
Example:

"POST"

CallbackMessageAuthenticationType
enum<string>

Callback authentication type

Available options:
None,
Basic,
Bearer
CallbackMessageUsername
string

Callback username

CallbackMessagePasswordToken
string

Callback password/token

InboundBypass
boolean

Bypass AI Guardian filtering for inbound messages on this route

Example:

true

OutboundBypass
boolean

Bypass AI Guardian filtering for outbound messages on this route

Example:

true

IntelligentRouteEnabled
boolean

Enable intelligent routing features (AI-assisted message routing)

Example:

true

AccountId
string

Account ID associated with this message route

Example:

"DID-eab92510-1040-45a5-bb9c-0bad927SDY878W"

Response

Update Message Route

The response is of type object.